<?php
/**
 * This file is part of the JustKnit package.
 *
 * @copyright JustKnit (Iris Hammer) <iris@justknit.de>
 * @license All rights reserved (@https://dejure.org/gesetze/UrhG/69a.html)
 * Created on 03-20-2023
 *
 * @package justknit
 */

use JustKnit\Register\Register;

/**
 * JustKnitRegister
 *
 * Snippet which handles forgot password of client.
 *
 * @var modX $modx
 * @var Register $register
 * @var array $scriptProperties
 *
 * PROPERTIES
 * these values are usually passed from DS24 in a $_POST array
 *
 * @order_id string The ID of the order delivered by DS24.
 *                   (default: '')
 * @package justknit
 * @subpackage snippets
 */

$register = new Register($modx, $scriptProperties);  // ruft auf: src/Register/Register.php
$controller = $register->loadController('ClientForgotPassword');  //darin diese Funktion
$output = $controller->run($scriptProperties);
//$modx->log( modX::LOG_LEVEL_ERROR,'[JustKnit] ClientForgotPassword snippet : Und??? wird der Scheiß geladen?');
//Keine Ahnung!!!
return $output;