<?php
namespace JustKnit\Model\mysql;

use xPDO\xPDO;

class JustKnitTransaction extends \JustKnit\Model\JustKnitTransaction
{

    public static $metaMap = array (
        'package' => 'JustKnit\\Model\\',
        'version' => '3.0',
        'table' => 'justknit_transaction',
        'extends' => 'xPDO\\Om\\xPDOSimpleObject',
        'tableMeta' => 
        array (
            'engine' => 'InnoDB',
        ),
        'fields' => 
        array (
            'client_id' => 0,
            'order_id' => 0,
            'product_id' => 0,
            'transaction_id' => '',
            'buyer_id' => '',
            'DS24_order_id' => '',
            'DS24_product_id' => '',
            'transaction_date' => 0,
            'transaction_type' => '',
            'amount' => 0.0,
            'amount_netto' => 0.0,
            'amount_payout' => 0.0,
            'amount_provider' => 0.0,
            'amount_vat' => 0.0,
            'amount_vendor' => 0.0,
            'currency' => '',
            'email' => '',
            'pay_method' => '',
        ),
        'fieldMeta' => 
        array (
            'client_id' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'order_id' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'product_id' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'transaction_id' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'buyer_id' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'DS24_order_id' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'DS24_product_id' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'transaction_date' => 
            array (
                'dbtype' => 'int',
                'precision' => '20',
                'phptype' => 'timestamp',
                'null' => false,
                'default' => 0,
            ),
            'transaction_type' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'amount' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'amount_netto' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'amount_payout' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'amount_provider' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'amount_vat' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'amount_vendor' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'currency' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'email' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'pay_method' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
        ),
        'aggregates' => 
        array (
            'TransactionClient' => 
            array (
                'class' => 'JustKnit\\Model\\JustKnitClientMeta',
                'local' => 'client_id',
                'foreign' => 'client_id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
            'TransactionOrder' => 
            array (
                'class' => 'JustKnit\\Model\\JustKnitOrder',
                'local' => 'order_id',
                'foreign' => 'id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
            'TransactionProduct' => 
            array (
                'class' => 'JustKnit\\Model\\JustKnitProduct',
                'local' => 'product_id',
                'foreign' => 'id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
        ),
    );

}
