<?php

/**
 * This file is part of the JustKnit package.
 *
 * @copyright zahlenhexe (Iris Hammer)
 * @license GNU General Public License v2.0 (and later)
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
/*
 * Fields:
 * 'DS24_id' => 0,
 * 'product_name' => '',
 * 'product_duration' => '',
 * 'modxusergroup' => 0,
 *
 */
namespace JustKnit\Processors\Product;

use MODX\Revolution\Processors\Model\GetListProcessor;
use JustKnit\Model\JustKnitProduct;
use xPDO\Om\xPDOQuery;

class GetList extends GetListProcessor {

    public $classKey = JustKnitProduct::class;
    public $defaultSortField = 'id';
    public $defaultSortDirection = 'ASC';
    public $objectType = 'justknit.product';

}
