<?php
/**
 * This file is part of the JustKnit package.
 *
 * @copyright zahlenhexe (Iris Hammer)
 * @license GNU General Public License v2.0 (and later)
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */ 
namespace JustKnit\Processors\Product;
class UpdateFromGrid extends Update {
    
    public function initialize() {
        
        $data = $this->getProperty('data');
        if (empty($data)) {
            return $this->modx->lexicon('invalid_data');
        }
        $data = $this->modx->fromJSON($data);
        if (empty($data)) {
            return $this->modx->lexicon('invalid_data');
        }
        $this->setProperties($data);
        $this->unsetProperty('data');
        return parent::initialize();
    }
}
