var JustKnit = {
    page    : {},
    window  : {},
    grid    : {},
    tree    : {},
    panel   : {},
    combo   : {},
    config  : {}
}
//page
JustKnit.page.Home = function(config) {
    config = config || {};
    Ext.applyIf(config, {
        components: [
            {
                xtype: 'justknit-panel-home',
                renderTo: 'justknit-panel-home-div'
            }
        ]
    });
    JustKnit.page.Home.superclass.constructor.call(this, config);
};
Ext.extend(JustKnit.page.Home, MODx.Component);
Ext.reg('justknit-page-home',JustKnit.page.Home);

//panel
JustKnit.panel.Home = function(config) {
    config = config || {};
    Ext.applyIf(config, {
        baseCls: 'modx-formpanel',
        cls: 'container',
        items: [
            {
                html: '<h2>JustKnit</h2>',
                cls: 'modx-page-header'
            },{
                xtype: 'modx-tabs',
                border: true,
                items: [
                    {
                        title: 'Subscriber',
                        layout: 'form',
                        items: [
                            {
                                html: '<p>Manage your Subscribers</p>',
                                bodyCssClass: 'panel-desc'
                            },
                            {
                                xtype: 'button',
                                style: { marginLeft: '20px' },
                                text: 'Run Processor',
                                handler: function() {
                                    MODx.Ajax.request({
                                        url: MODx.config.connector_url,
                                        params: {
                                            action: 'JustKnit\\Processors\\JustKnitSubscribers'
                                        },
                                        listeners: {
                                            success: {
                                                fn: function(res){
                                                    Ext.Msg.alert('Done', res.message);
                                                },
                                                scope: this
                                            }
                                        }
                                    });
                                }
                            },{
                                xtype: 'justknit-grid-subscribers',
                                preventRender: true,
                                cls: 'main-wrapper',
                            }
                        ]
                    }
                ]
            }
        ]
    });
    JustKnit.panel.Home.superclass.constructor.call(this, config);
};
Ext.extend(JustKnit.panel.Home, MODx.Panel);
Ext.reg('justknit-panel-home',JustKnit.panel.Home);

//load page
Ext.onReady(function(){
    MODx.load({xtype: 'justknit-page-home'});
})
