<?php

/**
 * @var \MODX\Revolution\modX $modx
 * @var array $namespace
 */

use JustKnit\JustKnit;
use xPDO\xPDO;

// Add the service
try {
    // Add the package and model classes
    $modx->addPackage(
        'JustKnit\Model',
        $namespace['path'] . 'src/',
        null,
        'JustKnit\\'
    );

    if (class_exists('JustKnit\\JustKnit')) {
        $modx->services->add('JustKnit', function($c) use ($modx) {
            return new JustKnit($modx);
        });

    }else{
        $modx->log(xPDO::LOG_LEVEL_ERROR, 'class_exists(JustKnit\\JustKnit) existiert nicht');
    }

}
catch (\Exception $e) {
    $modx->log(xPDO::LOG_LEVEL_ERROR, $e->getMessage());
}
