<?php
/**
 * This file is part of the JustKnit package.
 *
 * @copyright JustKnit (Iris Hammer) <iris@justknit.de>
 * @license All rights reserved (@https://dejure.org/gesetze/UrhG/69a.html)
 * Created on 03-20-2023
 *
 * @package justknit
 */

use JustKnit\Calculate\Calculate;

/**
 * JustKnitCalculate
 *
 * Snippet which handles Fields and processes calculate forms.
 *
 * @var modX $modx
 * @var Calculate $calculate
 * @var array $scriptProperties
 *
 * @package justknit
 * @subpackage snippets
 */

$calculate = new Calculate($modx, $scriptProperties);  // ruft auf: src/Calculate/Calculate.php
$controller = $calculate->loadController('Calculate');  //darin diese Funktion
$output = $controller->run($scriptProperties);
return $output;