<?php
/**
 * This file is part of the JustKnit package.
 *
 * @copyright JustKnit (Iris Hammer) <iris@justknit.de>
 * @license All rights reserved (@https://dejure.org/gesetze/UrhG/69a.html)
 * Created on 03-20-2023
 *
 * @package justknit
 */
/**
 * GoBack
 *
 * generate a link to previous page with javascript or link to site_url.
 */

$previous = '';
if(isset($_SERVER['HTTP_REFERER'])) {
    $previous = "javascript:history.go(-1)"; //window.history.back();
} else {
    $previous ='[[!++site_url]]';
}

//$modx->log(modX::LOG_LEVEL_ERROR,'[JustKnit] $_SESSION '. print_r($_SESSION,1));
//$modx->log(modX::LOG_LEVEL_ERROR,'[JustKnit] $_SERVER '. print_r($_SERVER,1));
//$modx->log(modX::LOG_LEVEL_ERROR,'[JustKnit] $_REQUEST '. print_r($_REQUEST,1));


return $previous;
