<?php
/**
 * This file is part of the JustKnit package.
 *
 * @copyright JustKnit (Iris Hammer) <iris@justknit.de>
 * @license All rights reserved (@https://dejure.org/gesetze/UrhG/69a.html)
 * Created on 03-20-2023
 *
 * @package justknit
 */
/**
 * jsonLex
 * Snippet which loads all lexicon Strinds in Template for Javascript use
 */

$modx->getService('lexicon',  'modLexicon');
$modx->lexicon->load('justknit');
//$entries = $modx->lexicon->loadCache('knit','results');
$entries = $modx->lexicon->loadCache('justknit','calc');
$langs =  $modx->toJSON($entries);
return $langs;
