<!--static tpl-->
[[- Template für die normalen Seiten
Das soll  eine Navbar und eine seitliche Navigation enthalten
*
* id: 2
* name: Basis
* wird verwendet für 6	Einstellungen, 17	Member, 36	Update Profile, 37	View Profile, 42	Impressum, 44	Datenschutz, 48	membership, 52	Develop, 67	Offline, 70	TestRegister,
*

]]
<!DOCTYPE html>
<html lang="de-de">
<head>
    <meta charset="[[++modx_charset]]">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="[[*description:len:gte=`155`:then=`[[*description:limit=`155`]] ...`:else=`[[*description]]`]]" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="theme-color" content="#212529">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <title>[[*pagetitle]][[*pagetitle:len:lte=`57`:then=` | [[++site_name]]`]]</title>
    <meta name="copyright"  content="Iris Hammer" />
    [[-<meta http-equiv="Content-Security-Policy" content="default-src 'self';style-src 'self' 'unsafe-inline';img-src 'self' data: ;script-src 'self' 'unsafe-inline';">]]
    <base href="[[!++site_url]]" />
    <meta name="author" content="[[*editedby:userinfo=`fullname`]] - [[++site_url]]" />
    <meta name="robots" content="max-snippet:-1, max-image-preview:large, max-video-preview:-1"/>
    <meta http-equiv="last-modified" content="[[*editedon]]" />
    <!-- Favicon -->
    <link rel="icon" href="assets/components/justknit/img/icons/jkIcon.png">
    <!-- Minify CSS -->
    <!-- Bootstrap 5.3.0 -->
    <link rel="stylesheet" type="text/css" href="[[-!modxMinify?&group=`basis_css`]]" />
    <link rel="stylesheet" type="text/css" href="assets/components/justknit/css/bootstrap.min.css" />

    <link rel="manifest" href="manifest.json">
    <!-- Icons -->
    <link rel="apple-touch-icon" href="assets/components/justknit/img/icons/icon-96x96.png">
    <link rel="apple-touch-icon" sizes="120x120" href="assets/components/justknit/img/icons/icon-120x120.png">
    <link rel="apple-touch-icon" sizes="152x152" href="assets/components/justknit/img/icons/icon-152x152.png">
    <link rel="apple-touch-icon" sizes="167x167" href="assets/components/justknit/img/icons/icon-167x167.png">
    <link rel="apple-touch-icon" sizes="180x180" href="assets/components/justknit/img/icons/icon-180x180.png">

[[-$GoogleHead]]
</head>
<body>
<script>
    var kA = '';
   (localStorage.getItem('knitApp') !== null) ? kA = JSON.parse(localStorage.getItem('knitApp'))  : kA.theme = "light";
    document.documentElement.dataset.appliedMode = kA.theme;
</script>
[[-$GoogleBody]]
<!-- Internet Connection Status -->
<div id="internetStatus" class="internet-connection-status fadeOut d-none" >Internet connection Status</div>
<!-- Reload Toast -->
<div class="toast-jk position-fixed end-0 p-3" style="z-index: 11">
<div id="toastReload" class="toast toast-reload [[-bg-info]] bg-reload hide" role="alert" aria-live="assertive" aria-atomic="true" data-bs-autohide="false">
    <div class="toast-body d-flex justify-content-between">
        <div class="toast-text my-auto"><i class="bi bi-arrow-clockwise text-white"><span hidden>reload</span></i></div>
        <div class="toast-text">
            <p class="mb-3 text-white note">Neue Inhalte verfügbar.</p>
            <button id="reloadBtn" type="button" class="btn btn-outline-light btn-sm shadow">Aktualisieren</button>
        </div>
        <div class="toast-text"><button type="button" class="btn btn-close btn-close-white pt-0 pe-0" data-bs-dismiss="toast" aria-label="Close"></button></div>
    </div>
</div>
</div>
<!-- END Reload Toast -->

<!-- Install Toast -->
<div class="toast-jk toast-container position-absolute toast-bottom p-3" style="z-index: 11">
    <div id="toastInstall" class="toast toast-install bg-install hide toast-autohide" role="alert" aria-live="assertive" aria-atomic="true" data-bs-delay="10000" data-bs-animation="true">
        <div class="toast-body d-flex justify-content-between">
            <div class="toast-text">
                    <!-- Logo-->
                    <svg id="svgLogo" width="35" height="35" viewBox="0 0 138 138">
                        <g transform="translate(-35 -65)" >
                            <path d="m 39.214757,82.378956 c 0,-8.97794 7.27806,-16.256 16.256,-16.256 H 158.42543 c 8.97792,0 16.256,7.27806 16.256,16.256 V 185.33363 c 0,8.97792 -7.27808,16.256 -16.256,16.256 H 55.470757 c -8.97794,0 -16.256,-7.27808 -16.256,-16.256 z" fill="#f0c" />
                            <path d="m 98.014167,148.71557 c -1.8e-4,11.70068 -4.66188,16.84742 -9.48843,19.21264 -4.8771,2.67144 -5.62269,2.66475 -15.48933,2.66475 -1.87583,0 -3.13251,-0.80122 -3.77032,-2.40409 -0.45087,-1.12142 -0.67486,-1.2406 -0.67486,-4.07229 0,-4.22076 2.38445,-6.56443 5.51721,-6.93314 0.44994,-0.053 3.55048,-0.13036 4.13417,-0.60019 3.09755,-0.18392 5.87413,-3.00837 5.87413,-7.62731 v -28.78821 c 0,-4.16706 1.46331,-6.25066 4.38934,-6.25066 3.11384,0 6.28225,0.11487 6.80749,0.3202 1.80074,0.6964 2.70108,2.67131 2.70103,5.93032 z" fill="#ffffff" />
                            <path d="m 116.50483,146.66858 c 0,5.39947 -1.73311,8.09921 -5.19946,8.09921 -3.28859,0 -5.31059,-0.23836 -6.06601,-0.71651 -1.86649,-0.95772 -2.79967,-3.41768 -2.79967,-7.38141 V 92.276426 c 0,-5.33113 1.7331,-7.99683 5.19946,-7.99683 3.28859,0 5.31059,0.20533 6.066,0.61455 1.8665,0.95773 2.79968,3.41782 2.79968,7.38156 z" fill="#ffffff" />
                            <path d="m 153.63932,117.38748 c 0,1.24922 -0.21397,5.00521 -1.4722,5.94267 l -10.74783,8.00778 9.58328,8.15318 c 1.4926,0.85435 2.32426,6.7258 2.32426,9.02536 0,3.81039 -1.63705,5.71565 -4.91099,5.71565 -1.34829,0 -2.86487,-0.45948 -4.54986,-1.37844 l -24.24287,-17.3296 c -1.10706,-0.59014 -1.66102,-1.83892 -1.66102,-3.74476 0,-1.51098 0.62604,-2.82495 1.87769,-3.94177 l 24.55537,-16.46007 c 1.68514,-0.7883 3.37028,-1.18317 5.05543,-1.18317 2.7925,0 4.18874,1.41291 4.18874,4.23742 z" fill="#ffffff" />
                        </g>
                    </svg>
            </div>
            <div class="toast-text ">
                <p class="text-white note ms-3 mb-0">Du kannst diese WebApp installieren.</p>
            </div>
            <div class="toast-text ">
                <button type="button" class="btn btn-close btn-close-white pt-0 pe-0" data-bs-dismiss="toast" aria-label="Close"></button>
            </div>
        </div>
        <div class="toast-text ms-3 pb-3">
            <button id="instNtvToast" type="button" class="btn btn-outline-light btn-sm shadow d-none">Installieren</button>
<!-- Button trigger modal -->
            <button id="instHintToast" type="button" class="btn btn-outline-light btn-sm shadow d-none" data-bs-toggle="modal" data-bs-target="#InstrModal" data-bs-dismiss="toast">Zeig mir wie</button>
            <button id="instLaterBtn" type="button" class="btn btn-outline-light btn-sm shadow" data-bs-dismiss="toast">Vielleicht später</button>
            <button id="instDismissBtn" type="button" class="btn btn-outline-light btn-sm shadow" data-bs-dismiss="toast">Nein Danke</button>
        </div>
        <span class="toast-autohide-line-animation" style="animation-duration: 10000ms; z-index: 12;"></span>
    </div>
</div>
<!-- END Install Toast -->
<!-- Instruction Modal -->
<div class="modal fade" id="InstrModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">So installierst du <span class="fw-bolder text-jk" >JustKnit</span></h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div id="ffOnAnd" class="d-none">
        <p>Im Menü von Firefox <i class="bi bi-three-dots-vertical"></i> findest du das Symbol um die WebApp von JustKnit zu installieren. </p>
        <img src="assets/components/justknit/img/bg/InstHintFirefox.webp" class="img-fluid" alt="Install on Firefox">
        </div>
        <div id="Ixx" class="d-none">
        <p>Tippe auf das Symbol für Teilen</p>
        <p>BILD</p>
        <p>Wähle zum Startbildschirm hinzufügen.</p>
        <p>BILD</p>
        <p>Drücke auf Hinzufügen.</p>
        <p>BILD</p>
        </div>
        <div id="operaOnAnd" class="d-none">
        <p>Im Menü von Opera <i class="bi bi-three-dots-vertical"></i> findest du das Symbol um die WebApp von JustKnit zu installieren. </p>
        <img src="assets/components/justknit/img/bg/InstHintOpera.webp" class="img-fluid" alt="Install on Firefox">

        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary">Danke</button>
      </div>
    </div>
  </div>
</div>
<!-- END Instruction Modal -->
<header>[[-$NavTop-LogoBurger]] [[-$NavTop-BackTitle]]</header>
<main class="fixed-top-nav">
    <div class="container">
        [[*content]]
    </div>
</main>
<!-- Footer Nav -->
<footer>
[[-$NavBottom-MenuAbo]]
</footer>
</body>

<!-- Bootstrap 5.3.0 -->
[[-<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js" integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha2/dist/js/bootstrap.bundle.min.js" integrity="sha384-qKXV1j0HvMUeCBQ+QVp7JcfGl760yU08IQ+GpUo5hlbpg51QRiuqHAJz8+BrxE/N" crossorigin="anonymous"></script>
]]
[[-<script src="assets/components/justknit/js/web/bootstrap.bundle.min.js"></script>]]
<script src="assets/components/justknit/js/web/popper.min.js"></script>
<script src="assets/components/justknit/js/web/bootstrap.min.js"></script>
<script src="assets/components/justknit/js/web/justknit.js"></script>

<script>
    var toastElList = [].slice.call(document.querySelectorAll('.toast'))
    var toastList = toastElList.map(function (toastEl) {
        return new bootstrap.Toast(toastEl)
    })
    var popoverTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="popover"]'))
    var popoverList = popoverTriggerList.map(function (popoverTriggerEl) {
        return new bootstrap.Popover(popoverTriggerEl)
    })
    var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
    var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
        return new bootstrap.Tooltip(tooltipTriggerEl)
    })
    /* <![CDATA[ */

        /* ]]> */

</script>
<!-- Global site tag (gtag.js) - Google Analytics -->
[[-

var lex = [[-!jsonLexicon]]
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-142385213-3"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-142385213-3');
</script>
]]
</html>
