<!--static tpl-->
[[- Template für die normalen Seiten
Das soll  eine Navbar und eine seitliche Navigation enthalten
*
* id: 
* name: Home
* wird verwendet für 8 Dankeseite, 4 JustKnit
*
]]
<!DOCTYPE html>
<html lang="de-de">
    <head>
        <meta charset="[[++modx_charset]]">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="[[*description:len:gte=`155`:then=`[[*description:limit=`155`]] ...`:else=`[[*description]]`]]" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="theme-color" content="#212529">
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black">
        <title>[[*pagetitle]][[*pagetitle:len:lte=`57`:then=` | [[++site_name]]`]]</title>
        <meta name="copyright"  content="Iris Hammer" />
        <base href="[[!++site_url]]" />
        <meta name="author" content="[[*editedby:userinfo=`fullname`]] - [[++site_url]]" />
        <meta name="robots" content="max-snippet:-1, max-image-preview:large, max-video-preview:-1"/>
        <meta http-equiv="last-modified" content="[[*editedon]]" />
        <!-- Favicon -->
        <link rel="icon" href="assets/components/justknit/img/icons/jkIcon.png">
        <!-- Bootstrap 5.3.0 -->
        <link rel="stylesheet" type="text/css" href="assets/components/justknit/css/bootstrap.min.css" />
        <link rel="stylesheet" type="text/css" href="assets/components/justknit/css/bootstrap-icons.css" />
        <link rel="stylesheet" type="text/css" href="assets/components/justknit/css/googlefonts.css" />
        <link rel="stylesheet" type="text/css" href="assets/components/justknit/css/justknit.basis.css" />
        <link rel="manifest" href="manifest.json">
        <!-- Icons -->
        <link rel="apple-touch-icon" href="assets/components/justknit/img/icons/icon-96x96.png">
        <link rel="apple-touch-icon" sizes="120x120" href="assets/components/justknit/img/icons/icon-120x120.png">
        <link rel="apple-touch-icon" sizes="152x152" href="assets/components/justknit/img/icons/icon-152x152.png">
        <link rel="apple-touch-icon" sizes="167x167" href="assets/components/justknit/img/icons/icon-167x167.png">
        <link rel="apple-touch-icon" sizes="180x180" href="assets/components/justknit/img/icons/icon-180x180.png">
    </head>
    <body>
<script>
/**
 * Nor darkmode for Sales page
    var kA = '';
   (localStorage.getItem('knitApp') !== null) ? kA = JSON.parse(localStorage.getItem('knitApp'))  : kA.theme = "light";
    document.documentElement.dataset.appliedMode = kA.theme;
    */
</script>
[[!ClientData]]
        <header>
[[-    <nav class="navbar fixed-top jk-topnav">
        <div class="container">
            <a class="navbar-brand" href="[[++base_url]]">
                <!-- Logo-->
                <svg id="svgLogo" width="26" height="26" viewBox="0 0 138 138">
                    <g transform="translate(-35 -65)" >
                        <path d="m 39.214757,82.378956 c 0,-8.97794 7.27806,-16.256 16.256,-16.256 H 158.42543 c 8.97792,0 16.256,7.27806 16.256,16.256 V 185.33363 c 0,8.97792 -7.27808,16.256 -16.256,16.256 H 55.470757 c -8.97794,0 -16.256,-7.27808 -16.256,-16.256 z" fill="#f0c" />
                        <path d="m 98.014167,148.71557 c -1.8e-4,11.70068 -4.66188,16.84742 -9.48843,19.21264 -4.8771,2.67144 -5.62269,2.66475 -15.48933,2.66475 -1.87583,0 -3.13251,-0.80122 -3.77032,-2.40409 -0.45087,-1.12142 -0.67486,-1.2406 -0.67486,-4.07229 0,-4.22076 2.38445,-6.56443 5.51721,-6.93314 0.44994,-0.053 3.55048,-0.13036 4.13417,-0.60019 3.09755,-0.18392 5.87413,-3.00837 5.87413,-7.62731 v -28.78821 c 0,-4.16706 1.46331,-6.25066 4.38934,-6.25066 3.11384,0 6.28225,0.11487 6.80749,0.3202 1.80074,0.6964 2.70108,2.67131 2.70103,5.93032 z" fill="#ffffff" />
                        <path d="m 116.50483,146.66858 c 0,5.39947 -1.73311,8.09921 -5.19946,8.09921 -3.28859,0 -5.31059,-0.23836 -6.06601,-0.71651 -1.86649,-0.95772 -2.79967,-3.41768 -2.79967,-7.38141 V 92.276426 c 0,-5.33113 1.7331,-7.99683 5.19946,-7.99683 3.28859,0 5.31059,0.20533 6.066,0.61455 1.8665,0.95773 2.79968,3.41782 2.79968,7.38156 z" fill="#ffffff" />
                        <path d="m 153.63932,117.38748 c 0,1.24922 -0.21397,5.00521 -1.4722,5.94267 l -10.74783,8.00778 9.58328,8.15318 c 1.4926,0.85435 2.32426,6.7258 2.32426,9.02536 0,3.81039 -1.63705,5.71565 -4.91099,5.71565 -1.34829,0 -2.86487,-0.45948 -4.54986,-1.37844 l -24.24287,-17.3296 c -1.10706,-0.59014 -1.66102,-1.83892 -1.66102,-3.74476 0,-1.51098 0.62604,-2.82495 1.87769,-3.94177 l 24.55537,-16.46007 c 1.68514,-0.7883 3.37028,-1.18317 5.05543,-1.18317 2.7925,0 4.18874,1.41291 4.18874,4.23742 z" fill="#ffffff" />
                    </g>
                </svg>
                [[++site_name]]
            </a>
            [[!+isLoggedIn:is=`1`:then=`
                [[$jkBurgerOffCanvas]]
            `:else=`
                <div class="user-login fs-4"><a href="[[~[[GetID? &alias=`login`]]]]" title="Login"><span hidden>Login</span><i class="bi bi-person"></i></a></div>
            `]]

        </div>
    </nav>  ]]
        </header>
            <main class="bottom-nav">
                <div class="container">
                    [[*content]]

                    <div class="mx-auto text-center my-3 fs-xsmall lh-sm">
                        <p class="text-center">
                                <a href="https://zahlenhexe.de" target="_blank" rel="noreferrer" title="zahlenhexe.de" class="">
                                    <svg  width="30" height="34" border="0" style=" border: 0px;" class="center img-max2" version="1.1" viewBox="0 0 13.229 15.081">
                                        <g  transform="translate(0 -281.92)">
                                            <path  d="m6.6146 282.03a6.6144 6.6144 0 0 0-6.6145 6.6145 6.6144 6.6144 0 0 0 5.4453 6.508l1.1692 1.7441 1.172-1.7482a6.6144 6.6144 0 0 0 5.4426-6.5039 6.6144 6.6144 0 0 0-6.6145-6.6145zm-2.2278 2.9504h4.7114v0.94879l-3.0698 4.6796h3.1019v1.3218h-5.0313v-0.9488l3.0698-4.6796h-2.782z" fill="#444"/>
                                        </g>
                                    </svg>
                                </a>
                        </p>
                        <p>&copy; Copyright [[++site_name]] | Alle Rechte vorbehalten.</p>
                        <p>Name und Anschrift des Verantwortlichen:<br />
                        Iris Hammer<br />
                        Fellbacher Str. 47<br />
                        70736 Fellbach<br />
                        Deutschland</p>
                        <p>Tel.: 0711-76164111<br />
                        Email: irishammer@justknit.de</p>
                        <p>Steuer-Nr.: 90152/24548<br />
                        USt-ID: DE232515962</p>
                    </div>
                </div>
            </main>
        <footer>
            <nav class="navbar justify-content-center  jk-bottomnav">
                <ul class="container [[-px-0 my-3]] fs-xlarge my-2">
                    <li class="nav-item"><a href="[[~[[GetID? &alias=`impressum`]]]]"><span>Impressum</span></a></li>
                    <li class="nav-item"><a href="[[~[[GetID? &alias=`datenschutz`]]]]"><span>Datenschutz</span></a></li>
                </ul>
            </nav>
        </footer>
    </body>
    <!-- Bootstrap 5.3.0 -->
    <script src="assets/components/justknit/js/web/popper.min.js"></script>
    <script src="assets/components/justknit/js/web/bootstrap.min.js"></script>
    <script src="assets/components/justknit/js/web/justknit.js"></script>
</html>
