<?php
namespace JustKnit\Model\mysql;

use xPDO\xPDO;

class JustKnitCalc extends \JustKnit\Model\JustKnitCalc
{

    public static $metaMap = array (
        'package' => 'JustKnit\\Model\\',
        'version' => '3.0',
        'table' => 'justknit_calc',
        'extends' => 'xPDO\\Om\\xPDOSimpleObject',
        'tableMeta' => 
        array (
            'engine' => 'InnoDB',
        ),
        'fields' => 
        array (
            'resource_id' => 0,
            'createdon' => 0,
            'ccreatedby' => 0,
            'editedon' => 0,
            'editedby' => 0,
            'len_w' => 0.0,
            'len_h' => 0.0,
            'qty_w' => 0,
            'qty_h' => 0,
            'calcname' => '',
            'pattern_meta' => '',
            'title' => '',
            'description' => '',
            'results' => '',
        ),
        'fieldMeta' => 
        array (
            'resource_id' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'createdon' => 
            array (
                'dbtype' => 'int',
                'precision' => '20',
                'phptype' => 'timestamp',
                'null' => false,
                'default' => 0,
            ),
            'ccreatedby' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'editedon' => 
            array (
                'dbtype' => 'int',
                'precision' => '20',
                'phptype' => 'timestamp',
                'null' => false,
                'default' => 0,
            ),
            'editedby' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'len_w' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'len_h' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'qty_w' => 
            array (
                'dbtype' => 'int',
                'precision' => '20',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'qty_h' => 
            array (
                'dbtype' => 'int',
                'precision' => '20',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'calcname' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '50',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'pattern_meta' => 
            array (
                'dbtype' => 'mediumtext',
                'phptype' => 'json',
                'null' => false,
                'default' => '',
            ),
            'title' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '191',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'description' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '191',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'results' => 
            array (
                'dbtype' => 'mediumtext',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
        ),
        'composites' => 
        array (
            'CalcDim' => 
            array (
                'class' => 'JustKnit\\Model\\JustKnitDim',
                'local' => 'id',
                'foreign' => 'calc_id',
                'cardinality' => 'many',
                'owner' => 'local',
            ),
        ),
        'aggregates' => 
        array (
            'ResourceCalc' => 
            array (
                'class' => 'MODX\\Revolution\\modResource',
                'local' => 'resource_id',
                'foreign' => 'id',
                'cardinality' => 'many',
                'owner' => 'foreign',
            ),
            'CreatedBy' => 
            array (
                'class' => 'MODX\\Revolution\\modUser',
                'local' => 'ccreatedby',
                'foreign' => 'id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
            'EditedBy' => 
            array (
                'class' => 'MODX\\Revolution\\modUser',
                'local' => 'ceditedby',
                'foreign' => 'id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
        ),
    );

}
