<?php
namespace JustKnit\Model\mysql;

use xPDO\xPDO;

class JustKnitOrder extends \JustKnit\Model\JustKnitOrder
{

    public static $metaMap = array (
        'package' => 'JustKnit\\Model\\',
        'version' => '3.0',
        'table' => 'justknit_order',
        'extends' => 'xPDO\\Om\\xPDOSimpleObject',
        'tableMeta' => 
        array (
            'engine' => 'InnoDB',
        ),
        'fields' => 
        array (
            'client_id' => 0,
            'order_id' => '',
            'product_name' => '',
            'DS24_product_id' => '',
            'quantity' => 0,
            'api_mode' => '',
            'subscriptionstart' => 0,
            'subscriptionend' => 0,
            'product_id' => 0,
            'affiliate_id' => '',
            'orderform_id' => '',
            'campaignkey' => '',
            'currency' => '',
            'amount' => 0.0,
            'vat_amount' => 0.0,
            'vat_rate' => 0.0,
            'monthly_amount' => 0.0,
            'monthly_vat_amount' => 0.0,
            'number_of_installments' => 0,
            'billing_type' => '',
        ),
        'fieldMeta' => 
        array (
            'client_id' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'order_id' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'product_name' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '191',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'DS24_product_id' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'quantity' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'api_mode' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'subscriptionstart' => 
            array (
                'dbtype' => 'int',
                'precision' => '20',
                'phptype' => 'timestamp',
                'null' => false,
                'default' => 0,
            ),
            'subscriptionend' => 
            array (
                'dbtype' => 'int',
                'precision' => '20',
                'phptype' => 'timestamp',
                'null' => false,
                'default' => 0,
            ),
            'product_id' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'affiliate_id' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'orderform_id' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'campaignkey' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'currency' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'amount' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'vat_amount' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'vat_rate' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'monthly_amount' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'monthly_vat_amount' => 
            array (
                'dbtype' => 'decimal(5,2)',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'number_of_installments' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'billing_type' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '100',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
        ),
        'aggregates' => 
        array (
            'ClientMeta' => 
            array (
                'class' => 'JustKnit\\Model\\JustKnitClientMeta',
                'local' => 'client_id',
                'foreign' => 'client_id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
            'ClientProduct' => 
            array (
                'class' => 'JustKnit\\Model\\JustKnitProduct',
                'local' => 'product_id',
                'foreign' => 'id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
        ),
    );

}
