<?php
/**
 * This file is part of the JustKnit package.
 *
 * @copyright JustKnit (Iris Hammer) <iris@justknit.de>
 * @license All rights reserved (@https://dejure.org/gesetze/UrhG/69a.html)
 * Created on 03-20-2023
 *
 * @package justknit
 */
namespace JustKnit\Processors;

use MODX\Revolution\Processors\Processor;
use SimpleExtra\Model\Item;

class JustKnitProcessor extends Processor
{
    public function process()
    {
        //$count = $this->modx->getCount(Item::class);
        return true;

        /* Alternative way | Return a custom JSON structure */
        // $output = json_encode([
        //     'success' => true,
        //     'total' => $count,
        //     'message' => 'items count: ' . $count
        // ], JSON_INVALID_UTF8_SUBSTITUTE);
        // return $output;

        /* return an error */
        //return $this->failure('items count: ' . $count);
    }
}
